# Uses of Class
org.springframework.beans.factory.parsing.Problem

Packages that use Problem
Package
Description
org.springframework.beans.factory.parsing
Support infrastructure for bean definition parsing.

## Uses of Problem in org.springframework.beans.factory.parsing

Methods in org.springframework.beans.factory.parsing with parameters of type Problem
Modifier and Type
Method
Description
`void`
FailFastProblemReporter.`error(Problem problem)`
Throws a `BeanDefinitionParsingException` detailing the error that has occurred.
`void`
ProblemReporter.`error(Problem problem)`
Called when an error is encountered during the parsing process.
`void`
FailFastProblemReporter.`fatal(Problem problem)`
Throws a `BeanDefinitionParsingException` detailing the error that has occurred.
`void`
ProblemReporter.`fatal(Problem problem)`
Called when a fatal error is encountered during the parsing process.
`void`
FailFastProblemReporter.`warning(Problem problem)`
Writes the supplied `Problem` to the `Log` at `WARN` level.
`void`
ProblemReporter.`warning(Problem problem)`
Called when a warning is raised during the parsing process.
Constructors in org.springframework.beans.factory.parsing with parameters of type Problem
Modifier
Constructor
Description
``
`BeanDefinitionParsingException(Problem problem)`
Create a new BeanDefinitionParsingException.